WinDriversBackup Software License

WinDriversBackup® Copyright © 2002 by JerMar Software Corp.

All rights reserved.

LICENSE AGREEMENT

You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by JerMar Software your use of this software indicates your acceptance of this license agreement and warranty.

Evaluation and Registration

This IS free software for personal, home use or by any educational institution. Personal use is defined as using the software on a computer installed in your place of residence. Under no circumstances may you use this software within an environment outside of your place residence without purchasing a software license. It may not be used for any commercial gain. Subject to the terms of the Disclaimer of Warranty below, you are hereby licensed to use this software without charge for an indefinite amount of time. Use of this software within a business environment, outside of an individual's personal home or residence or an educational institution does require the purchase of a software license for continued use past 30 days. Contact JerMar Software Corporation for site licensing information.

Contact Information

JerMar Software Corp.

PMB 403

16505 A S.E. First St.

Vancouver, WA 98684

www.jermar.com

360-885-3224

Governing Law

This Agreement will be governed by the laws of the United States.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR

MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which WinDriversBackup may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. IN NO EVENT WILL JERMAR SOFTWARE BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SALES, INJURY TO PERSON OR PROPERTY OR ANY OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THIS SOFTWARE EVEN IF JERMAR SOFTWARE OR ITS AUTHORIZED REPRESENTATIVE(S) HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY. IN NO EVENT SHALL LICENSOR’S LIABILITY EXCEED AMOUNTS PAID TO LICENSOR BY LICENSEE UNDER THE TERMS OF THE AGREEMENT.

Termination

This license is effective until terminated. Licensee may terminate it at any time by destroying all copies of the Software covered by this Agreement and all support files generated by the Software. It will also terminate if Licensee fails to comply with any term or condition of this Agreement. Licensee agrees that upon such termination to destroy this Software, including all copies, functionally-equivalent derivatives, and all portions and modifications thereof in any form.

Distribution of WinDriversBackup

Provided that you distribute this software for non-profit you are hereby licensed to make as many copies of this software and it's accompanying documentation as you wish; give exact copies of the original version to anyone; and distribute the software and documentation in its unmodified form via electronic means. There is no charge for any of the above and no monies should be charged by anyone distributing the software.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Installing this software confirms your understanding of and binds you to this licensing agreement.

Copyright 2002 JerMar Software Corp.

************************************************************************************************


Welcome - General Use Information

WinDriversBackup is a free utility provided by JerMar Software Corp. specifically for backing up your Windows system driver files. Use of this software outside the scope of personal use does require the purchase of a software license. To review the software license click here.

WinDriversBackup can identify all of your Windows driver files and save them to a secure location in two simple mouse clicks.

Backing up your Windows driver files means they will be available to you the next time you need to reinstall the driver or the whole operating system. WinDriversBackup places the driver files in one organized location of your choosing.

WinDriversBackup is especially helpful in situations where you have a computer in your possession and it's internal components are unknown. WinDriversBackup can identify the hardware on the system and their associated drivers ---then back them up to a specified location.

Backing up your driver files...

To identify a computer's drivers select the button labeled, "Identify non-MS drivers" or "Identify all drivers".

Identify all drivers: This option identifies all drivers on the computer. Use this option to back up all of the drivers on the computer. Note: Not all drivers need to be backed up. Drivers supplied by Microsoft are automatically installed on your computer when you install the operating system. They are located on the Windows installation CD-ROM. However, having all of your drivers backed up to one location is a compelling benefit of this option.

Identify non-MS drivers: Identifies all drivers on your computer that are not provided by Microsoft Corporation. Non-Microsoft drivers are those drivers that are in the strongest need for backing up. These drivers are not provided by Microsoft so they are not installed as part of the Windows operating system.

To back up your computer's drivers first select whether to back up non-MS drivers or all drivers. Once the desired driver files have been identified select the button labeled, "Backup drivers". WinDriversBackup will begin saving your driver files in the folder indicated on the main window. If you wish to save the driver files to a different location select the button labeled, "Back up drivers in this folder:".

Tip: Clicking the label that displays where your driver files are saved to will load Windows Explorer to that folder location.

Tip: Before backing up your driver files make certain the location where they will be saved has plenty of room for the files. A total driver back up can easily be in the 10s of megabytes.

Tip: To work with a remote computer first connect to the computer by right clicking somewhere on the main window. A network browse screen appears. Locate the computer to make a connection to. Once connected a drop down list of remotely connected computers appears. Use this list to select the computer you wish to backup driver files.

Should you ever need to reinstall a driver when prompted by the operating system use the "Have Disk" option provided. Then, browse to the location where you saved the driver installation files using WinDriversBackup.


Installing the Remote Registry Service

To determine whether the Remote Registry Service should be installed see "Preparing to make remote connections".

The installation files for the Remote Registry Service can be found in the following locations:

Windows 95 CD: \\NetTools\Remotreg

Windows 98 CD: \\reskit\netadmin\remotreg

Windows Me CD:

To install the Remote Registry Service open the 'Network' applet from within Control Panel. On the 'Configuration' tab select the Add button. From the resulting window select 'Service' from the list of components to install. Next, select Add. From the resulting window select 'Have Disk'. Browse to the proper folder (outlined above) on your Windows CD. Select OK when the regsrv.inf file is selected. Follow any on-screen instructions. At the completion of installation you will be prompted to reboot the system, do so.

For Remote Registry Service to work properly each computer within the network or home based LAN should be running the same level of security; either share-level or user-level security. There can not be a mix of each. We strongly recommend user-level security be used.

WARNING: If your computer is configured to use share-level security and the Remote Administration service is installed, a user is required to know only a password to remotely administer your computer. To help prevent unauthorized users from remotely administering computers, consider using user-level security, which allows access to only specified users.

NOTE: In order to use user-level security, there must be a Microsoft Windows NT-based computer or Novell NetWare server on the network to act as a security provider. If you are using a Windows NT-based computer as your security provider, you must enable File and Printer Sharing for Microsoft Networks. If you are using a Novell NetWare server as your security provider, you must enable File and Printer Sharing for NetWare Networks.

To enable user-level security follow these steps: Open the 'Network' applet within Control Panel. Select the 'Access Control' tab. Select the option entitled, "User-level access control". Next, enter the name of the server from which Windows will obtain its user list. When complete select OK. You will be prompted to reboot the system.

Note: Any shares that were enabled will be disabled. Once rebooted you should set the volume Windows is installed onto as a share.

After rebooting, open the 'Passwords' applet from within Control Panel and select the 'Remote Administration' tab. Check the option entitled, "Enable remote administration of this server". Next, add any users you wish to give access to the system remotely. When done close the dialog.


Preparing to make remote connections

Windows NT, Windows 2000 and Windows XP Professional and higher inherently have the support needed for WinDriversBackup to connect to remote computers. No services need be installed to support remote connections on Windows NT or Windows 2000 computers. Windows 9x and Windows Millennium computers must have the Remote Registry Service installed before making a remote connection. Windows XP Home Edition does not fully support remote connections. For this reason, WinDriversBackup, as well, can not fully support remote connections under Windows XP Home Edition.

Remote Registry Service

Do I need to install Remote Registry Service?

Remote Registry Service is required for remote connections if either of the following is true:

1) WinDriversBackup is installed onto a Windows 9x computer that will be connecting to another Windows computer.

2) WinDriversBackup is installed onto a NT4, Windows 2000 or Windows XP Professional or higher computer that will be connecting to a Windows 9x or Windows Millennium computer.

See "Installing the Remote Registry Service" if you answered yes to either condition.

Before connecting to any computers on your network make certain that you have the proper privileges to make the connection. In short, you should have administrator rights on any client computers you are connecting to.

Windows XP Home Edition and Windows XP Professional each have special considerations when making remote connections using WinDriversBackup . Please see the special topic for these operating systems here: Special considerations with Windows XP


Remote connection status bar

The Remote Connections field indicates how many remote computers WinDriversBackup is currently connected with.

The Viewing field indicates the computer whose drivers WinDriversBackup is currently working with.

When remotely connected to other computers, right click in any open area of WinDriversBackup, or on the remote connection status bar, to change the current WinDriversBackup view to a remote or local view.

See also: Preparing to make remote connections


Special considerations with Windows XP

To make a remote connection from a Windows XP Home Edition computer the following considerations should be noted:

Windows XP Home Edition does not support remote registry connections by default. To work around this issue you must first manually log into a resource on the remote computer. If no resource is currently shared by the remote computer you wish to connect to one must be created. We recommend setting up a password protected share for the Windows volume on the remote computer. Once a share has been established, make a connection to it using Windows Explorer. Doing so initiates a logon dialog box that creates the needed connection, that, in turn, facilitates WinDriversBackup's ability to make a remote registry connection to this remote computer. This process can be automated by simply mapping a drive to the computer's remote share with the same password credentials as used to log into the Windows XP Home Edition computer. If a password is not required to log into your Windows XP Home Edition computer you can set one up by changing the way users log on to the computer via Control Panel's User Manager.

To make a connection to a Windows XP Professional or higher computer the following considerations should be made:

Windows XP Professional computers do not support remote registry connections by default. To setup a Windows XP Professional computer to allow remote registry connections via WinDriversBackup perform the following steps:

1) Disable the Welcome screen. To do so navigate to Control Panel | User Accounts. De-select the option labeled, "Use the Welcome screen". This forces Windows XP to logon in the Windows NT and Windows 2000 style.

2) Insure you have administrator rights on the remote computer. The easiest way to accomplish this is to setup an administrator account on the remote computer that matches the administrator account you use on the computer from which you are making the remote connection.

When making a remote connection from a Windows XP Professional computer no special considerations need to be adhered to outside of insuring you have the proper permissions to do so.

Related topics: Preparing to make remote connections


Saving a remote computer's drivers

Once a connection has been made to a remote computer, in order to save the remote computer's drivers, you must set WinDriversBackup's view to the remotely connected system. To do so, right click upon any free area of WinDriversBackup, or on the remote connections status bar, to disclose a context sensitive menu. From the context sensitive menu select "View Remote settings". This switches the current view to the remote computer selected. You can now view and save the drivers of the remote computer exactly as if you were making the changes to the local computer.

While you can connect to multiple remote computers at once you can only save the driver's of one computer at a time. Only the currently viewed computer will have its drivers interrogated or saved. To work with a different computer you must first change to it's view.

For more information on making remote connections and viewing/changing remote settings see:

Remote Connections

Remote connection status bar


Remote Connections

The remote connections dialog provides a way to connect and disconnect from remote computers. To connect to a computer right click on any open area of WinDriversBackup's main window or on the remote connection status bar. This will present you with a network browse dialog for making a remote connection to another computer. Locate the computer you wish to connect with and select OK. WinDriversBackup will connect with the remote computer. Once connected to one or more computers a drop down list will appear in the upper right corner of WinDriversBackup. This makes it very easy to switch between remotely and locally connected computers.

To disconnect from a computer right click on any open area of WinDriversBackup's main window or on the remote connection status bar and then select Disconnect all computers.

View Remote allows for switching the current WinDriversBackup view to a remote view. To do so, highlight a computer from the list and select View Remote. WinDriversBackup switches its view to the remote computer. You can easily switch between different computer views by right clicking on a empty spot within WinDriversBackup's interface and selecting the computer to work with from the resulting window. As well, you can select the computer to work with from the drop down list that appears in the upper right corner of WinDriversBackup whenever you are connected to one or more computers.

When saving drivers on a remote computer you are working with the drivers as though they were on the local computer. The drivers will be saved to the location indicated on the main window of WinDriversBackup. A sub folder is created using the name of the computer. All of the computer's driver files to be saved will be located within this folder.

See also: Preparing to make remote connections